#ifndef KS_MAIN_H
#define KS_MAIN_H

#include "common/main.h"
#include "common/factory.h"


//-----------------------------------------------------------------------------
class KSFactory : public CommonFactory
{
 public:
   KSFactory();

 protected:
    BaseBoard *createBoard(bool graphic, QWidget *parent);
    BaseField *createField(QWidget *parent);
    BaseInterface *createInterface(QWidget *parent);
    AI *createAI();
};

//-----------------------------------------------------------------------------
class KSMainWindow : public MainWindow
{
 Q_OBJECT
 public:
    KSMainWindow() { init(); }
};

#endif
